Subject: Re: bug#68512: Qutebrowser 3, no sound from pipewire-only system

From: chris <[email-masked]>
Date: Thu, 25 Jan 2024 15:26:43 -0800

On  1月25日 木, Sergey Trofimov wrote:
> 
> I'm glad you sorted it out. Check what are the environment variables for
> your sway process (cat /proc/<pid>/environ | tr -s '\0' '\n').
> Maybe XDG_RUNTIME_DIR is missing there? Enabling debug logging for pipewire
> might help as well: https://docs.pipewire.org/page_daemon.html

Sergey,

Yesterday after reporting back here, I found that I was able to change the commands used by sway from this
```
exec_always killall -wqr "(pipewire|wireplumber)" \
  || sleep 1 && ((pipewire &); sleep 2 && (wireplumber &))
```

To this
```
exec sleep 2 && pipewire
exec sleep 4 && wireplumber
```

sound is working each time the machine is started or restarted.

In order to script-generate the asoundrc file, I wish to use pipewire's store directory path inside a scheme function. WOuld you teach me how to do this? eg, `$(guix build pipewire) # /gnu/store/8572wxb5138hanhvn1lbfdm1kicxsd2k-pipewire-1.0.0`

No success trying various things from this thread https://www.mail-archive.com/[email-masked]/msg11871.html

'have also tried the following
```
(use-modules (gnu packages linux)
             (gnu packages build-tools)
             (gnu packages package-management))

(guix build pipewire)
```

running the file fails with this message:
```
Wrong type to apply: #<package [email-masked] gnu/packages/package-management.scm:179 7fd6dfe0ebb0>
```

Thanks in advance for any recommendations or advice. Thank you for conversing with me and helping me thus far,

Chris